/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for LowerExtremityVeins
 */
public enum EnumCV_LowerExtremityVeins 
{
	//CID 12110 Lower Extremity Veins
	ANTERIOR_TIBIAL_VEIN_T_49630("T-49630"),
	LATERAL_CALF_PERFORATOR_T_49423("T-49423"),
	COMMON_FEMORAL_VEIN_G_035B("G-035B"),
	COMMON_ILIAC_VEIN_T_48920("T-48920"),
	EXTERNAL_ILIAC_VEIN_T_48930("T-48930"),
	GASTROCNEMIUS_VEIN_T_4942D("T-4942D"),
	GIACOMINI_VEIN_G_036F("G-036F"),
	GREAT_SAPHENOUS_VEIN_T_49530("T-49530"),
	GREAT_SAPHENOUS_VEIN_OF_THIGH_R_10259("R-10259"),
	GREAT_SAPHENOUS_VEIN_OF_CALF_R_1025A("R-1025A"),
	LESSER_SAPHENOUS_VEIN_T_49550("T-49550"),
	PERONEAL_VEIN_T_49640("T-49640"),
	POPLITEAL_VEIN_T_49650("T-49650"),
	POSTERIOR_ARCH_VEIN_G_036E("G-036E"),
	POSTERIOR_TIBIAL_VEIN_T_49620("T-49620"),
	PROFUNDA_FEMORIS_VEIN_T_49660("T-49660"),
	SAPHENOFEMORAL_JUNCTION_T_D930A("T-D930A"),
	SOLEAL_VEIN_G_036B("G-036B"),
	SUPERFICIAL_FEMORAL_VEIN_G_035A("G-035A"),
	THIGH_PERFORATOR_T_4942C("T-4942C"),
	INTERNAL_ILIAC_VEIN_T_48940("T-48940"),
	SAPHENOPOPLITEAL_JUNCTION_T_4941A("T-4941A"),
	HUNTERIAN_PERFORATING_VEIN_T_4942A("T-4942A"),
	COCKETTS_PERFORATING_VEIN_T_49426("T-49426"),
	BOYDS_PERFORATING_VEIN_T_49424("T-49424");

	private String value;

	EnumCV_LowerExtremityVeins(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
